* mer06_smplprb.do
* Chapter 6 - Measures of association
* Sample problems
	version 12
	clear all
	set more off , permanent
	cd c:\mer\smplprb\mer06	/* this line is computer dependent */
	* capture log close 
	* log using mer06_smplprb, name(mer06_smplprb) text replace 

use c:\mer\data\mi.dta, clear
	* eliminate some variables not needed of these analyses
	drop white-mar_c2 prcabg-smkces

* generate variable for observation time in years with a max. of 1 yr
* 1 day was added so all individuals were considered to have at least 1 day of observation
* because deaths on day of admission were listed as having 0 days survival
	gen obs_1yr=(surv_mi+1)/365.25
	replace obs_1yr=1 if obs_1yr>1
* generate a variable for 1 year survival
	gen died_1yr=0
	replace died_1yr=1 if died==1 & obs_1yr<1
* generate a variable if observed for full yr 
* (this was just done to confirm that there were no withdrawals within the year)
	gen obs_full1yr=obs_1yr==1
	tab obs_full1yr died_1yr
		* there were 777 deaths, no censored observations and 
		* 2188 individiuals followed for the full period (not dying)

* compute the RR for effects of previous MI on risk of death within 1 year
	cs died_1yr prmi
	cs died_1yr prmi, exact	/* P-value is Fisher's exact P */
* compute the IR for effects of previous MI on risk of death within 1 year
	ir died_1yr prmi obs_1yr
* compute the OR for effects of previous MI on risk of death within 1 year
	cc died_1yr prmi
	cc died_1yr prmi, exact
	
* compute measures of effect
	/* the three commands above have automatically computed all of the measures of effect
	execpt the PAR (which is computed now) */
	display 0.3437126 - 0.2620573

* compute exact CI for all of the parameters
	* done autmatically in results previously generated
	
